# class hk_dbvisible

base class for database depending only widgets. More...

Definition | `#include <hk_classes/hk_classes/hk_dbvisible.h>`
Inherits | hk_visible [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_dbvisible (hk_presentation* p=NULL)
- virtual ~hk_dbvisible (void)
- void set_database (hk_database* db)
- hk_database* database (void)

#### Protected Methods

- virtual void database_delete (void)
- virtual void before_source_vanishes (void)

#### Protected Members

- hk_database* p_database

## Detailed Description

base class for database depending only widgets. Just set the database with set_database

hk_dbvisible (hk_presentation* p=NULL)

### hk_dbvisible

~hk_dbvisible (void)

### ~hk_dbvisible

[virtual]

void set_database (hk_database* db)

### set_database

the database which is base of this object

hk_database* database (void)

### database

void database_delete (void)

### database_delete

[protected virtual]

void before_source_vanishes (void)

### before_source_vanishes

[protected virtual]

FOR WIDGET DEVELOPERS ONLY: will be automatically called before the database will be closed.(i.e when a new database will be created and the old one will be destroyed by hk_connection

hk_database* p_database

### p_database

[protected]

- Version: $Revision: 1.11 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.